- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# onyx_wjh – Configure what-just-happend module

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of wjh on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auto_export boolean | Choices: no yes | wjh group auto export pcap file status
clear_group string | Choices: all user auto-export | clear pcap file by group
enabled boolean | Choices: no yes | wjh group status
export_group string | Choices: all forwarding acl | wjh group auto export group
group string | Choices: all forwarding acl | Name of wjh group.

## Examples

    - name: enable wjh
      onyx_wjh:
          group: forwarding
          enabled: True

    - name: disable wjh
      onyx_wjh:
          group: forwarding
          enabled: False

    - name: enable auto-export
      onyx_wjh:
            auto_export: True
            export_group: forwarding
    - name: disable auto-export
      onyx_wjh:
            auto_export: False
            export_group: forwarding
    - name: clear pcap file
      onyx_wjh:
            clear_group: auto-export

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['what-just-happend forwarding enable', 'what-just-happend auto-export forwarding enable', 'clear what-just-happend pcap-file user']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Anas Shami (@anass)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.